Jump to content



Photo

[Ubuntu & Debian] Lighttpd With PHP5 & MySQL & phpmyadmin

tutorial phpmyadmin lighttpd php php5 mysql ubuntu debian webserver httpd

  • Please log in to reply
13 replies to this topic

#1 mlody.1039

mlody.1039

    Member

  • Members
  • PipPip
  • 17 posts
  • LocationWarsaw / Carlow

Posted 05 August 2014 - 04:48 PM

Greeting HapHost!

 

Today I will show you how to install Lighttpd on your Ubuntu and Debian :)

 

so first we log in to our VPS by SSH log in as Root

 

 

[Node on Debian we don't need to put sudo before apt command[

 

So we start by removing old Mysql

sudo apt-get remove --purge mysql-server mysql-client mysql-common

then we run command to removed it fully

sudo apt-get autoremove

after we clean 

sudo apt-get autoclean

Now our Mysql should be Fully Removed

 

now time to remove Apache from our OS

apt-get --purge remove apache2*

and fully removed apache by remove its folder

rm -fr /etc/apache2

After we updating our OS

sudo apt-get update
sudo apt-get upgrade

After we install our Mysql Server

apt-get install mysql-server mysql-client

Now we do installation

 

after

 

we Install

 

Lighttpd

apt-get install lighttpd

After installation is should start automatically

 

we can see it on

http://your ip/index.lighttpd.html

after we install php5

apt-get install php5-cgi

then we restart lighttpd for changes

sudo /etc/init.d/lighttpd restart

Now We install Phpmyadmin

sudo apt-get install phpmyadmin

now we point phpmyadmin to work with ip/phpmyadmin

sudo ln -s /usr/share/phpmyadmin/ /var/www

after we enable fastcgi

sudo lighty-enable-mod fastcgi

we reset lighttpd for changed take effect

sudo /etc/init.d/lighttpd restart

and after we enable fastchi-php

sudo lighty-enable-mod fastcgi-php

And finally we reset lighttpd

sudo /etc/init.d/lighttpd restart

Now everything should work.

 

if you have any questions or problems during installation fell free to ask :)

 

 

Best Regards

mlody.1039


  • demotest and cloudfastservers like this

#2 Arctic

Arctic

    Haphost Staff

  • Moderators
  • 341 posts
  • LocationGermany

Posted 30 August 2014 - 08:53 PM

lqqqqqqqqqqqqqqqqqqqqqqqConfiguring mysql-server-5.5qqqqqqqqqqqqqqqqqqqqqqqqqk
x Unable to set password for the MySQL "root" user                           x
x                                                                            x
x An error occurred while setting the password for the MySQL                 x
x administrative user. This may have happened because the account already    x
x has a password, or because of a communication problem with the MySQL       x
x server.                                                                    x
x                                                                            x
x You should check the account's password after the package installation.    x
x                                                                            x
x Please read the /usr/share/doc/mysql-server-5.5/README.Debian file for     x
x more information.                                                          x
x                                                    


any support PM's be Ignored please use the Support section for it

 

Support


#3 Perwiz

Perwiz

    Newbie

  • Members
  • Pip
  • 6 posts
  • LocationAzerbaijan

Posted 04 September 2014 - 06:30 PM

lqqqqqqqqqqqqqqqqqqqqqqqConfiguring mysql-server-5.5qqqqqqqqqqqqqqqqqqqqqqqqqk
x Unable to set password for the MySQL "root" user                           x
x                                                                            x
x An error occurred while setting the password for the MySQL                 x
x administrative user. This may have happened because the account already    x
x has a password, or because of a communication problem with the MySQL       x
x server.                                                                    x
x                                                                            x
x You should check the account's password after the package installation.    x
x                                                                            x
x Please read the /usr/share/doc/mysql-server-5.5/README.Debian file for     x
x more information.                                                          x
x                                                    

same problem with debian7 x32



#4 Arctic

Arctic

    Haphost Staff

  • Moderators
  • 341 posts
  • LocationGermany

Posted 06 September 2014 - 02:41 PM

same problem with debian7 x32

install new and reinstall apache now works ;)


  • Perwiz likes this

any support PM's be Ignored please use the Support section for it

 

Support


#5 demotest

demotest

    Advanced Member

  • Members
  • PipPipPip
  • 73 posts

Posted 08 September 2014 - 11:06 AM

Once I also had this issue (in H.1.F time) and one kind member directed me to this issue here, might help (images are missing since transition):

 

http://forum.haphost...ver-in-haphost/

 

or install MariaDB, works either way ;)



#6 Bawls

Bawls

    Newbie

  • Members
  • Pip
  • 6 posts

Posted 21 October 2014 - 06:19 PM

i get this when trying to do

 sudo apt-get upgrade

root@testthisvps:~# sudo apt-get update
Hit http://archive.canonical.com quantal Release.gpg
Ign http://archive.ubuntu.com quantal Release.gpg
Hit http://archive.canonical.com quantal Release
Ign http://archive.ubuntu.com quantal-updates Release.gpg
Ign http://archive.ubuntu.com quantal Release
Hit http://archive.canonical.com quantal/partner amd64 Packages
Ign http://archive.ubuntu.com quantal-updates Release
Hit http://archive.canonical.com quantal/partner i386 Packages
Ign http://archive.canonical.com quantal/partner Translation-en
Ign http://security.ubuntu.com quantal-security Release.gpg
Ign http://security.ubuntu.com quantal-security Release
Err http://archive.ubuntu.com quantal/main amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/restricted amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/universe amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/main i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/restricted i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/universe i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Ign http://archive.ubuntu.com quantal/main Translation-en
Ign http://archive.ubuntu.com quantal/restricted Translation-en
Ign http://archive.ubuntu.com quantal/universe Translation-en
Err http://archive.ubuntu.com quantal-updates/main amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/restricted amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/universe amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/main i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/restricted i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/universe i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Ign http://archive.ubuntu.com quantal-updates/main Translation-en
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-en
Ign http://archive.ubuntu.com quantal-updates/universe Translation-en
Err http://security.ubuntu.com quantal-security/main amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/restricted amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/universe amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/multiverse amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/main i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/restricted i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/universe i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/multiverse i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Ign http://security.ubuntu.com quantal-security/main Translation-en
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en
Ign http://security.ubuntu.com quantal-security/restricted Translation-en
Ign http://security.ubuntu.com quantal-security/universe Translation-en
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/restricted/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/universe/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/universe/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/restricted/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/universe/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/universe/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/restricted/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/universe/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/multiverse/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/universe/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
root@testthisvps:~# sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@testthisvps:~# apt-get install mysql-server mysql-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package mysql-server is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'mysql-server' has no installation candidate
E: Unable to locate package mysql-client
root@testthisvps:~# apt-get install lighttpd
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package lighttpd
root@testthisvps:~# sudo apt-get install mysql-server mysql-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package mysql-server is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'mysql-server' has no installation candidate
E: Unable to locate package mysql-client



#7 Arctic

Arctic

    Haphost Staff

  • Moderators
  • 341 posts
  • LocationGermany

Posted 21 October 2014 - 09:02 PM

 

i get this when trying to do

 sudo apt-get upgrade

root@testthisvps:~# sudo apt-get update
Hit http://archive.canonical.com quantal Release.gpg
Ign http://archive.ubuntu.com quantal Release.gpg
Hit http://archive.canonical.com quantal Release
Ign http://archive.ubuntu.com quantal-updates Release.gpg
Ign http://archive.ubuntu.com quantal Release
Hit http://archive.canonical.com quantal/partner amd64 Packages
Ign http://archive.ubuntu.com quantal-updates Release
Hit http://archive.canonical.com quantal/partner i386 Packages
Ign http://archive.canonical.com quantal/partner Translation-en
Ign http://security.ubuntu.com quantal-security Release.gpg
Ign http://security.ubuntu.com quantal-security Release
Err http://archive.ubuntu.com quantal/main amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/restricted amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/universe amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/main i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/restricted i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal/universe i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Ign http://archive.ubuntu.com quantal/main Translation-en
Ign http://archive.ubuntu.com quantal/restricted Translation-en
Ign http://archive.ubuntu.com quantal/universe Translation-en
Err http://archive.ubuntu.com quantal-updates/main amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/restricted amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/universe amd64 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/main i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/restricted i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com quantal-updates/universe i386 Packages
  404  Not Found [IP: 91.189.92.200 80]
Ign http://archive.ubuntu.com quantal-updates/main Translation-en
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-en
Ign http://archive.ubuntu.com quantal-updates/universe Translation-en
Err http://security.ubuntu.com quantal-security/main amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/restricted amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/universe amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/multiverse amd64 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/main i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/restricted i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/universe i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Err http://security.ubuntu.com quantal-security/multiverse i386 Packages
  404  Not Found [IP: 91.189.92.201 80]
Ign http://security.ubuntu.com quantal-security/main Translation-en
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en
Ign http://security.ubuntu.com quantal-security/restricted Translation-en
Ign http://security.ubuntu.com quantal-security/universe Translation-en
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/restricted/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/universe/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal/universe/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/restricted/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/universe/binary-amd64/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/quantal-updates/universe/binary-i386/Packages  404  Not Found [IP: 91.189.92.200 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/restricted/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/universe/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/multiverse/binary-amd64/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/universe/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/quantal-security/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
root@testthisvps:~# sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@testthisvps:~# apt-get install mysql-server mysql-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package mysql-server is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'mysql-server' has no installation candidate
E: Unable to locate package mysql-client
root@testthisvps:~# apt-get install lighttpd
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package lighttpd
root@testthisvps:~# sudo apt-get install mysql-server mysql-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package mysql-server is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'mysql-server' has no installation candidate
E: Unable to locate package mysql-client

Why you have add 64bit source add on Source.list? you have 32bit system del the amd64 source.list!


any support PM's be Ignored please use the Support section for it

 

Support


#8 Bawls

Bawls

    Newbie

  • Members
  • Pip
  • 6 posts

Posted 24 October 2014 - 04:07 AM

Why you have add 64bit source add on Source.list? you have 32bit system del the amd64 source.list!

What do you mean?



#9 cloudfastservers

cloudfastservers

    Newbie

  • Members
  • Pip
  • 8 posts

Posted 22 November 2014 - 05:11 PM

lightspeed vs Ngnix ?

Greeting HapHost!

 

Today I will show you how to install Lighttpd on your Ubuntu and Debian :)

 

so first we log in to our VPS by SSH log in as Root

 

 

[Node on Debian we don't need to put sudo before apt command[

 

So we start by removing old Mysql

sudo apt-get remove --purge mysql-server mysql-client mysql-common

then we run command to removed it fully

sudo apt-get autoremove

after we clean 

sudo apt-get autoclean

Now our Mysql should be Fully Removed

 

now time to remove Apache from our OS

apt-get --purge remove apache2*

and fully removed apache by remove its folder

rm -fr /etc/apache2

After we updating our OS

sudo apt-get update
sudo apt-get upgrade

After we install our Mysql Server

apt-get install mysql-server mysql-client

Now we do installation

 

after

 

we Install

 

Lighttpd

apt-get install lighttpd

After installation is should start automatically

 

we can see it on

http://your ip/index.lighttpd.html

after we install php5

apt-get install php5-cgi

then we restart lighttpd for changes

sudo /etc/init.d/lighttpd restart

Now We install Phpmyadmin

sudo apt-get install phpmyadmin

now we point phpmyadmin to work with ip/phpmyadmin

sudo ln -s /usr/share/phpmyadmin/ /var/www

after we enable fastcgi

sudo lighty-enable-mod fastcgi

we reset lighttpd for changed take effect

sudo /etc/init.d/lighttpd restart

and after we enable fastchi-php

sudo lighty-enable-mod fastcgi-php

And finally we reset lighttpd

sudo /etc/init.d/lighttpd restart

Now everything should work.

 

if you have any questions or problems during installation fell free to ask :)

 

 

Best Regards

mlody.1039


cloudfastservers.com

Cloud VPS Linux and Windows


#10 Perwiz

Perwiz

    Newbie

  • Members
  • Pip
  • 6 posts
  • LocationAzerbaijan

Posted 05 December 2014 - 10:30 PM

Good day.

 

How to setup lighttpd virtual host?

$HTTP["host"] == "www.example.com" {
    server.document-root = "/var/www/example.com/" 
} 

or

$HTTP["host"] =~ "(^|www\.)example.com$" {
    server.document-root = "/var/www/example.com/"
}

maybe its right?

$HTTP["host"] != "www.example.com" {
    server.document-root = "/var/www/example.com/"
}

:( or all of the options are correct?



#11 vdwww

vdwww

    Newbie

  • Members
  • Pip
  • 1 posts

Posted 15 December 2014 - 11:34 AM

Hey guys,

 

thanks mlody for the tutorial, it all worked quite instantly for me! ...

 

only thing, my VPS seems to need some tweaks, 'cause the system crashes and stops httpd and mysql servers now and then. Mysql restart is now stuck at stop/waiting :(

Any tips on that? I'm guessing it could help to setup cron jobs to restart lighttpd/php/mysql services at night?

 

Cheers!



#12 mlody.1039

mlody.1039

    Member

  • Members
  • PipPip
  • 17 posts
  • LocationWarsaw / Carlow

Posted 24 March 2015 - 03:57 PM

Hello.

 

Yes its possible to restart lighttpd / mysql at night.

 

But in first place it should not crash I was running it only VPS before and all worked fine so there most be other issue for crashing.

Maybe try optimize MySQL Memory and php.

also post TOP command to see what its using much Ram & CPU 



#13 Andreas

Andreas

    Haphost Staff

  • Moderators
  • 283 posts
  • LocationGermany

Posted 27 March 2015 - 04:48 PM

Good day.

 

How to setup lighttpd virtual host?

$HTTP["host"] == "www.example.com" {
    server.document-root = "/var/www/example.com/" 
} 

or

$HTTP["host"] =~ "(^|www\.)example.com$" {
    server.document-root = "/var/www/example.com/"
}

maybe its right?

$HTTP["host"] != "www.example.com" {
    server.document-root = "/var/www/example.com/"
}

:( or all of the options are correct?

Probably everything is correct, however it depends on what you want to achieve with the configuration.



#14 3558560

3558560

    Newbie

  • Members
  • Pip
  • 1 posts

Posted 21 April 2015 - 01:38 AM

Followed all the steps and I can't access my vps with http :(







Also tagged with one or more of these keywords: tutorial, phpmyadmin, lighttpd, php, php5, mysql, ubuntu, debian, webserver, httpd

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users